# tiny-crossband-repeater

This is a cross-band repeater I designed for use on weather balloons. It also has an APRS transmitter built in. It has RX capabilities on 70cm and TX/RX capabilities on 2m, and implements a duplex FM repeater. For power, it uses a lithium ion battery, and has a built-in charger.

![board render](pcb.png)

## Design

There are two power busses - one that runs directly from the battery, and one at 3.3V. This is done so that the transceivers, which use the bulk of the power, can run directly off the battery (they're happy at up to 4.5V). The 3.3V regulator is relatively small as it only has to power the microcontroller and GPS.

The transceivers, a DRA818V and DRA818U, are connected to a single antenna port via a duplexer. There's also harmonic suppression for the UHF side. The duplexer handles harmonic suppression on VHF.

The STM32 used here only has one UART. A second UART will be implemented in software so that each transceiver can communicate with the microcontroller.

### Still TODO:
- Software
